<?php
include "../../inc/inc.koneksi.php";

date_default_timezone_set('Asia/Jakarta');

$table	="faktur_pj";

$kode	=$_POST['kode'];
$tanggal=$_POST['tanggal'];
$kodecab=$_POST['kodecab'];
$kodepl	=$_POST['kodepl'];
$kodepl	=$_POST['kodepl'];
$namapl	=$_POST['namapl'];
$user 	=$_POST['user'];
$jenisby=$_POST['jenisby'];
$nobank =$_POST['nobank'];
$jeniskt=$_POST['jeniskt'];
$nokartu=$_POST['nokartu'];
$charge =$_POST['charge'];
$bayar	=$_POST['bayar'];
$kembali=$_POST['kembali'];
$potong	=$_POST['potong'];
$nosubbk=substr($nobank,1,3);
$jam    =date('H:i:s');

$sql 	= mysql_query("SELECT * FROM interface");
$r 		= mysql_fetch_assoc($sql);
$kas 	 	= '111'.$kodecab;
$persed		= $r['persed'];
$labapb		= $r['laba_pb'];
$jual 	 	= $r['penjualan'];
$pendedc	= $r['pendap_edc'];
$potjual 	= $r['pot_jual'];
$nohpp 		= $r['hpp'];
$labrug  	= $r['laba_rugi'];
$nosubks	= substr($kas,0,3);
$nosubps	= substr($persed,0,3);
$nosublpb	= substr($labapb,0,3);
$nosubjl 	= substr($jual,0,3);
$nosubped	= substr($pendedc,0,3);
$nosubpj 	= substr($potjual,0,3);
$nosubhpp	= substr($nohpp,0,3);
$nosublr	= substr($labrug,0,3);

$sql 	= mysql_query("SELECT kode_pj,no_urut FROM $table WHERE kode_pj='$kode' GROUP BY kode_pj");
$r		= mysql_fetch_assoc($sql);
$nourut	= $r['no_urut'];

mysql_query("UPDATE $table SET potongan='$potong',jenis_by='$jenisby',nobank='$nobank',jenis_kt='$jeniskt',nokartu='$nokartu',charge_edc='$charge',bayar='$bayar',kembali='$kembali' WHERE kode_pj='$kode' AND no_urut='$nourut'");
	
$sql = mysql_query("SELECT * FROM $table WHERE kode_pj='$kode' AND posting='' ORDER BY no_urut");
$row = mysql_num_rows($sql);

if($row>0){
    $total=0;
    $thpp=0;
	while($r=mysql_fetch_array($sql)){
		$nourut =$r['no_urut'];
		$kodest =$r['kode_st'];
		$kodecab=$r['kode_cab'];
		$jmlunit=$r['jml_unit'];
		$hgjual	=$r['hg_jual'];
		$total  =$total+$r['jumlah'];
		$thpp   =$thpp+$r['hpp'];
		
		mysql_query("UPDATE stock SET jml_stok=jml_stok-$jmlunit WHERE kode_st='$kodest' AND kode_cab='$kodecab'");
		mysql_query("INSERT INTO rekap_mbr (kode_tr,jurnal,tanggal,no_bukti,no_urut,kode_st,gudang,keterangan,keluar,harga,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$nourut','$kodest','$kodecab','Penjualan retail','$jmlunit','$hgjual','$user','$jam')");
	}
    $netto=$total+$charge-$potong;
    $laba =$netto-$thpp;

	if($jenisby=='TUNAI'){
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$netto WHERE noakun='$kas'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,debet,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$kas','$nosubks','$netto','Penjualan retail','$user','$jam')");
	}else{
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$netto WHERE noakun='$nobank'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,debet,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$nobank','$nosubbk','$netto','Penjualan retail','$user','$jam')");
		
		if(!$charge==''){
			mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$charge WHERE noakun='$pendedc'");
			mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,kredit,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$pendedc','$nosubped','$charge','Charge EDC Penjualan retail','$user','$jam')");
		}
	}
	
	if($potong>0){
		mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$potong WHERE noakun='$potjual'");
		mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,debet,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$potjual','$nosubpj','$potong','Potongan penjualan retail','$user','$jam')");
	}
	
	// --->hpp debet	
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$thpp WHERE noakun='$nohpp'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,debet,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$nohpp','$nosubhpp','$thpp','Penjualan ke $namapl','$user','$jam')");

	// --->penjualan kredit
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$total WHERE noakun='$jual'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,kredit,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$jual','$nosubjl','$total','Penjualan retail','$user','$jam')");

	// --->persediaan kredit
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$thpp WHERE noakun='$persed'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,kredit,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$persed','$nosubps','$thpp','Penjualan ke $namapl','$user','$jam')");

	// --->laba rugi debet
	mysql_query("UPDATE akun_bb SET mutasi_db=mutasi_db+$laba WHERE noakun='$labrug'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,debet,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$labrug','$nosublr','$laba','Laba penjualan ke $namapl','$user','$jam')");

	// --->laba periode berjalan kredit
	mysql_query("UPDATE akun_bb SET mutasi_kd=mutasi_kd+$laba WHERE noakun='$labapb'");
	mysql_query("INSERT INTO rekapjur (kode_tr,jurnal,tanggal,no_bukti,kode_cab,no_urut,noakun,nosub,kredit,keterangan,user,jam) VALUES('$kode','PJL','$tanggal','$kode','$kodecab','$nourut','$labapb','$nosublpb','$laba','Laba penjualan ke $namapl','$user','$jam')");

	// --->menandai bahwa data faktur telah diproses
	mysql_query("UPDATE faktur_pj SET kode_pl='$kodepl',nama_pl='$namapl',jam='$jam',posting='P' WHERE kode_pj='$kode'");
	echo "Data sukses disimpan";
}
?>